Bug 67317 - XFree86 Locks up when a Mpeg/Dvd player is used
XFree86 Locks up when a Mpeg/Dvd player is used
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i686 Linux
high Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-06-22 03:11 EDT by Need Real Name
Modified: 2007-03-26 23:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-06-22 04:30:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-06-22 03:11:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20010901

Description of problem:
XFree86 locks up when a Mpeg/or Dvd is played through anyone of the viewers such
as Xine or gtv. When gtv is used to view a mpeg video the video contains green
vertical lines running down the viewer the video looks fragmented. I have a Dell
Inspiron 8000 1Ghz ATI M4 Graphics chip 32MB of video ram and 128Mb of SDRAM 15'
inch screen.

Version-Release number of selected component (if applicable):RedHat 7.3 (Valhalla)

How reproducible:

Steps to Reproduce:
1.I boot up 7.3, Everything is fine until
2.I attempt to use gtv or any of the free video viewers to view an mpeg video.
3.When I open an mpeg video their are green vertical lines running down the
video making it fragment into bars. Video is choppy and unclear. This only
happans with RedHat 7.3(Valhalla)
4.When you try to view a Dvd with Xine the system locks up and the LCD screen
turns white forcing the system to crash.

Actual Results:  My 15 inch LCD screen turns white and fades out so I am forced
to reboot the system.I believe this is a flaw in the driver for the ATI M4
Graphics chip in the drivers section of XConfigurator. I have 7.2 and use xine
fine in 7.2 without lockups when viewing a mpeg/Dvd

Expected Results:  Video should play smoothly without locking up my screen.
Forcing me to hit the power button to reboot.

Additional info:

I believe the XFree86 distro in the version 7.3(Valhalla) is flawed. Due to the
fact on the Dell Inspiron 8000 mpeg/Dvd viewing is severly corrupted. Please
check this out since Dell Computers have run RedHat Linux in past pretty well.
I know you will be amazed when you see this bug.
Comment 1 Mike A. Harris 2002-06-22 04:30:48 EDT
This is unlikely to be a bug specific to Red Hat Linux, but much more likely
to be a general XFree86 4.2.0 bug.

Please attach your XFree86 config file and log file uncompressed using the
file attachment link below and I'll investigate the matter and try to
determine a fix or workaround.
Comment 2 Mike A. Harris 2002-07-26 08:44:45 EDT
A patch for Rage 128 Xv lockups when DRI is enabled, is present in
rawhide XFree86 now.  This problem should be fixed.

If you find it is not fixed in rawhide, reopen and supply the
information requested above.


Note You need to log in before you can comment on or make changes to this bug.